package com.pretius.springBootJettyExample.domain;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;

@Entity
public class Parameter implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@Id
	String name;
	
	@Column(nullable = false)
	String val;
	
	public Parameter() {
	}

	public Parameter(String param, String value) {
		this.name = param;
		this.val = value;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getVal() {
		return val;
	}

	public void setVal(String val) {
		this.val = val;
	}


	

}
